<?php

class Carrera extends Conexion {
    /* =============================================
      VER DATOS DE CARRERA POR ID
      ============================================= */

    public function Carrera_por_ID($carreraId) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "
                SELECT * FROM carrera                                 
                WHERE carreradbk = ?
                ";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $carreraId);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }

    /* =============================================
      ELIMINAR DATOS DE CARRERA POR ID
      ============================================= */

    public function Eliminar_por_ID($carreraId) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "
                DELETE FROM carrera WHERE carreradbk = ?
                ";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $carreraId);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }

    /* =============================================
      IMPRIMIR TABLA DE CARRERA
      ============================================= */

    public function Consultar($fil) {
        $conectar = parent::conectar();
        parent::set_names();
        switch ($fil) {
            case "all":
                $sql = "SELECT carreradbk,carrera.descripcion as descripcion, 
                        carrera.estado as estado, carrera.codigo as codigo, catalogo.descripcion as tipo,
                        titulo,creacion,malla,modalidad 
                        FROM carrera LEFT JOIN catalogo ON catalogodbk = carrera.modalidad";
                break;
            case "H":
                $sql = "";
                break;
            case "M":
                $sql = "";
                break;
            case "D":
                $sql = "";
                break;
        }
        $sql = $conectar->prepare($sql);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }

    public function ConsultarFiltro($periodbk) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "SELECT carreradbk,carrera.descripcion as descripcion,catalogo.descripcion as modalidad FROM mallacurricular
                INNER JOIN carrera ON carreradbk = carrera
                LEFT JOIN catalogo ON modalidad = catalogodbk
                WHERE periodo = ?
                GROUP BY carrera";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $periodbk);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }

    /* =============================================
      ACTUALIZAR O INSERTAR CARRERA
      ============================================= */

    public function mdlActualizarCarrera($datos) {
        $conectar = parent::conectar();
        parent::set_names();
        if ($datos["carreradbk"] == "") {
            $sql = "INSERT INTO " . $datos["tabla"] . "  
                (descripcion,estado,codigo,tipo,titulo,modalidad,creacion,malla)
                VALUES (?,?,?,?,?,?,?,?);
                ";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["descripcion"]);
            $sql->bindValue(2, "ACTIVO");
            $sql->bindValue(3, $datos["codigo"]);
            $sql->bindValue(4, $datos["tipo"]);
            $sql->bindValue(5, $datos["titulo"]);
            $sql->bindValue(6, $datos["modalidad"]);
            $sql->bindValue(7, $datos["creacion"]);
            $sql->bindValue(8, $datos["malla"]);
            $sql->execute();
        } else {
            $sql = "UPDATE " . $datos["tabla"] . " SET
                descripcion = ?, codigo = ?, tipo = ?, titulo = ?, modalidad = ?, creacion = ?, malla =? 
                WHERE carreradbk = ?;
                ";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["descripcion"]);
            $sql->bindValue(2, $datos["codigo"]);
            $sql->bindValue(3, $datos["tipo"]);
            $sql->bindValue(4, $datos["titulo"]);
            $sql->bindValue(5, $datos["modalidad"]);
            $sql->bindValue(6, $datos["creacion"]);
            $sql->bindValue(7, $datos["malla"]);
            $sql->bindValue(8, $datos["carreradbk"]);
            $sql->execute();
        }
        return $resultado = $sql->fetchAll();
    }

    public function mdlActualizarEstado($datos) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "UPDATE " . $datos["tabla"] . "  
                SET estado = ?
                WHERE carreradbk = ?";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $datos["estado"]);
        $sql->bindValue(2, $datos["carreradbk"]);
        $sql->execute();
        return $resultado = $sql->fetchAll();
    }

}

?>
